## qt6-webchannel 6.2.4

=== src/CMakeLists.txt ===
# Generated from src.pro.

add_subdirectory(webchannel)
if(TARGET Qt::Quick)
    add_subdirectory(imports)
endif()
