=== debian/changelog ===
qt6-webchannel (6.2.4-1ubuntu1) jammy; urgency=medium

  * Merge from debian. Remaining changes:
    - Mark a symbol optional to prevent FTBFS on ppc64el.

 -- Rik Mills <rikmills@kde.org>  Fri, 01 Apr 2022 11:49:29 +0100

qt6-webchannel (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Mar 2022 23:16:19 +0200

qt6-webchannel (6.2.2-3ubuntu1) jammy; urgency=medium

  * Mark a symbol optional to prevent FTBFS on ppc64el.

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Feb 2022 07:15:02 +0000

qt6-webchannel (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:07:02 +0100

qt6-webchannel (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 06 Dec 2021 09:17:32 +0100

qt6-webchannel (6.2.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update installed files.

 -- Patrick Franz <deltaone@debian.org>  Mon, 06 Dec 2021 08:26:26 +0100

qt6-webchannel (6.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #1000164)

 -- Patrick Franz <deltaone@debian.org>  Wed, 24 Nov 2021 23:46:42 +0100
