## qt6-webchannel 6.3.1

=== debian/changelog ===
qt6-webchannel (6.3.1-2ubuntu1) kinetic; urgency=medium

  *  Mark a ppc64el symbol optional to fix FTBFS on launchpad buildds.

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Aug 2022 12:32:59 +0100

qt6-webchannel (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:24:11 +0200

qt6-webchannel (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 16:48:23 +0200

qt6-webchannel (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Jun 2022 18:18:38 +0200

qt6-webchannel (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:07:55 +0200
