=== debian/changelog ===
qt6-webchannel (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Tue, 24 Jan 2023 12:09:46 +0100

qt6-webchannel (6.4.2~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6webchannel6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:50:08 +0100

qt6-webchannel (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:23 +0100

qt6-webchannel (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:29:33 +0100

qt6-webchannel (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6webchannel6-dev to qt6-webchannel-dev.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Nov 2022 23:52:35 +0100

qt6-webchannel (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Nov 2022 19:05:36 +0100

qt6-webchannel (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015629).
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1023077).

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Nov 2022 10:02:45 +0100

qt6-webchannel (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Oct 2022 12:33:59 +0200
