=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>
-Build-Depends: cmake (>= 3.18~),
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
-               libqt6websockets6-dev (>= 6.3.1~),
+               libqt6opengl6-dev (>= 6.4.2+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-Standards-Version: 4.6.1
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-websockets-dev (>= 6.4.2~),
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel.git
@@ -55,7 +55,8 @@
  .
  This package contains the Qt WebChannel QML module.
 
-Package: libqt6webchannel6-dev
+Package: qt6-webchannel-dev
+Provides: libqt6webchannel6-dev (= ${binary:Version})
 Architecture: any
 Multi-Arch: same
 Section: libdevel
@@ -63,6 +64,8 @@
          qt6-base-dev,
          qt6-declarative-dev,
          ${misc:Depends},
+Breaks: libqt6webchannel6-dev (<< 6.4.1-2~)
+Replaces: libqt6webchannel6-dev (<< 6.4.1-2~)
 Description: Qt 6 WebChannel library - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
