## qt6-webchannel 6.6.1

=== debian/changelog ===
qt6-webchannel (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.

 -- Patrick Franz <deltaone@debian.org>  Tue, 12 Dec 2023 19:42:53 +0100

qt6-webchannel (6.6.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing dependency of libqt6webchannelquick6 to qt6-webchannel-
    dev.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Nov 2023 22:49:12 +0100

qt6-webchannel (6.6.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Nov 2023 18:09:00 +0100

qt6-webchannel (6.6.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Bump Qt B-Ds to 6.6.0.
  * Update list of installed files and new binary package
    libqt6webchannelquick6.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Nov 2023 00:13:25 +0100

qt6-webchannel (6.4.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 27 Jul 2023 20:25:34 +0200

qt6-webchannel (6.4.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.
  * Add binary package for examples (Closes: #1042248).
  * Add binary packages for documentation.

 -- Patrick Franz <deltaone@debian.org>  Thu, 27 Jul 2023 00:28:12 +0200
