## qt6-webchannel 6.8.0

=== debian/changelog ===
qt6-webchannel (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Fri, 25 Oct 2024 17:22:52 +0800
