## qt6-webchannel 6.8.1

=== debian/changelog ===
qt6-webchannel (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:55:19 -0600
