## qt6-webchannel 6.8.3

=== tests/benchmarks/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(webchannel)
