## qt6-webchannel 6.9.1

=== debian/changelog ===
qt6-webchannel (6.9.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Remove binary package qt6-webchannel-private-dev.

 -- Patrick Franz <deltaone@debian.org>  Thu, 28 Aug 2025 19:47:31 +0200

qt6-webchannel (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * New binary package qt6-webchannel-private-dev.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Jul 2025 22:41:00 +0200

qt6-webchannel (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 22 Jul 2025 11:16:49 +0200
