=== examples/webchannel/standalone/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause
+
 cmake_minimum_required(VERSION 3.16)
 project(standalone LANGUAGES CXX)
 
@@ -38,8 +41,41 @@
     Qt::Widgets
 )
 
+if (NOT CMAKE_CURRENT_BINARY_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
+    add_custom_command(
+        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/index.html
+        COMMAND ${CMAKE_COMMAND} -E copy
+                ${CMAKE_CURRENT_SOURCE_DIR}/index.html
+                ${CMAKE_CURRENT_BINARY_DIR}/index.html
+        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/index.html
+        VERBATIM
+    )
+endif()
+
+add_custom_command(
+    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/qwebchannel.js
+    COMMAND ${CMAKE_COMMAND} -E copy
+            ${CMAKE_CURRENT_SOURCE_DIR}/../shared/qwebchannel.js
+            ${CMAKE_CURRENT_BINARY_DIR}/qwebchannel.js
+    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/../shared/qwebchannel.js
+    VERBATIM
+)
+
+add_custom_target(output_target ALL
+    DEPENDS
+    ${CMAKE_CURRENT_BINARY_DIR}/index.html
+    ${CMAKE_CURRENT_BINARY_DIR}/qwebchannel.js
+)
+
+add_dependencies(standalone output_target)
+
 install(TARGETS standalone
     RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
     BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
     LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
 )
+
+install(FILES
+    ${CMAKE_CURRENT_BINARY_DIR}/index.html ${CMAKE_CURRENT_BINARY_DIR}/qwebchannel.js
+    DESTINATION "${INSTALL_EXAMPLEDIR}"
+)
