=== debian/changelog ===
qt6-webchannel (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Sep 2025 19:43:33 +0200
